/*
 * General
 * ----------------------
 */
.pad {
    padding: 10px;
}

.margin {
    margin: 10px;
}

.margin-bottom {
    margin-bottom: 20px;
}

.margin-bottom-none {
    margin-bottom: 0;
}

.margin-r-5 {
    margin-right: 5px;
}

.margin-l-5 {
    margin-left: 5px;
}

.margin-l-15 {
    margin-left: 15px;
}

.margin-l-50 {
    margin-left: 50px;
}

.margin-t-5 {
    margin-top: 5px;
}

.margin-t-40 {
    margin-top: 40px;
}

.margin-b-5 {
    margin-bottom: 5px;
}

.padding-5 {
    padding: 5px;
}

.padding-t-5 {
    padding-top: 5px;
}

.padding-r-5 {
    padding-right: 5px;
}
.padding-l-2 {
    padding-left: 15px;
}
.padding-r-0 {
    padding-right: 0;
}
.padding-b-5 {
    padding-bottom: 5px;
}

.padding-l-5 {
    padding-left: 5px;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.border-r-3 {
    /* Safari 3-4, iOS 1-3.2, Android 1.6- */
    -webkit-border-radius: 3px;

    /* Firefox 1-3.6 */
    -moz-border-radius: 3px;

    /* Opera 10.5, IE 9, Safari 5, Chrome, Firefox 4, iOS 4, Android 2.1+ */
    border-radius: 3px;
}

.border-bottom {
    border-bottom: 1px solid #eee;
}

.user-panel > .info > p > a {
    color: #fff;
}

.user-panel > .image img {
    width: 100%;
    max-width: 45px;
    height: auto;
}

.logo-number.users-list > li {
    width: 20%;
}

.wrap-images {
    padding: 10px;
    display: inline-block;
}

.top-5 {
    top: 5px;
}

.mg-top-10 {
    margin-top: 10px;
}

.mg-top-30 {
    margin-top: 30px;
}

.wrap-img {
    float: left;
    position: relative;
    border: 1px solid #e9e9e9;
    margin: 3px;
    width: 100px;
    height: 75px;
    overflow: hidden;
}

.wrap-img .btn {
    position: absolute;
    right: 0;
    bottom: 0;
}

.wrap-images img {
    width: 100px;
    max-height: 75px;
}

/** Typeahead **/
.typeahead-wrapper .twitter-typeahead {
    width: 100%;
}

.tt-menu {
    color: #292f33;
    width: 100%;
    min-width: 300px;
    margin: 0;
    padding: 8px 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, 0.2);
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
    /* scrollable */
    max-height: 185px;
    overflow-y: auto;
}

.tt-suggestion {
    padding: 5px 10px;
    font-size: 16px;
}

.tt-suggestion:hover {
    cursor: pointer;
    color: #fff;
    background-color: #337ab7;
}

.tt-suggestion a {
    color: #292f33;
}

.tt-suggestion:hover a {
    color: #fff;
}

.tt-suggestion.tt-cursor {
    color: #fff;
    background-color: #0097cf;

}

.tt-suggestion p {
    margin: 0;
}

.tt-menu .empty-message {
    padding: 0 10px;
}

/** END - Typeahead **/

.aa-input-container {
    display: inline-block;
    position: relative;
}

.aa-input-search {
    width: 300px;
    border: 1px solid rgba(228, 228, 228, 0.6);
    padding: 12px 28px 12px 12px;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.aa-input-search::-webkit-search-decoration,
.aa-input-search::-webkit-search-cancel-button,
.aa-input-search::-webkit-search-results-button,
.aa-input-search::-webkit-search-results-decoration {
    display: none;
}

.aa-input-icon {
    height: 16px;
    width: 16px;
    position: absolute;
    top: 50%;
    right: 16px;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    fill: #e4e4e4;
}

.aa-dropdown-menu {
    background-color: #fff;
    border: 1px solid rgba(228, 228, 228, 0.6);
    min-width: 300px;
    margin-top: 10px;
    box-sizing: border-box;
}

.aa-suggestion {
    padding: 12px;
    cursor: pointer;
}

.aa-suggestion + .aa-suggestion {
    border-top: 1px solid rgba(228, 228, 228, 0.6);
}

.aa-suggestion:hover, .aa-suggestion.aa-cursor {
    background-color: rgba(241, 241, 241, 0.35);
}

#notification {
    position: fixed;
    top: 65px;
    right: 15px;
    z-index: 1000;
}

.notification {
    position: relative;
}

.notification .alert {
    padding: 25px 25px 25px 65px;
    border-radius: 0;
    box-shadow: 2px 3px 4px #0000008c;
}

.notification .notification-spinner {
    height: 5px;
    top: -25px;
    position: relative;
    background: rgba(0, 0, 0, 0.5);
    display: block;
    bottom: 0;
}

.notification .notice-icon {
    text-shadow: 2px 3px 4px #000000ab;
    top: calc(50% - 28px);
    left: 15px;
    position: absolute;
    color: white;
}

.color-red {
    color: red;
}

.pagination-row {
    margin: 20px 0;
    line-height: 34px;
}

.datepicker {
    z-index: 9999 !important;
}

.table tfoot.border {
    font-weight: bolder;
}

.box-danger .table thead tr th {
    background: #fffcf1;
}

.w-10 {
    width: 10%;
}

.w-15 {
    width: 15% !important;
}

.w-18 {
    width: 18% !important;
}

.w-20 {
    width: 20%;
}

.w-22 {
    width: 23% !important;
}

.w-search-manager {
    width: 106px !important;
}

.w-5 {
    width: 5% !important;
}

.w-3 {
    width: 3% !important;
}

.w-13 {
    width: 13% !important;
}

.w-30 {
    width: 30% !important;
}

.w-35 {
    width: 35% !important;
}

.w-45 {
    width: 45% !important;
}

.mr-1 {
    margin-right: 1rem;
}

.mr-2 {
    margin-right: 2rem;
}

.mr-3 {
    margin-right: -3rem;
}

.mr-15 {
    margin-right: 15rem;
}

a.disabled {
    pointer-events: none;
    cursor: default;
}

.input-group-addon.title_date, select.form-control.title_year {
    background: #d2d6de;
}

select.title_year {
    -webkit-appearance: none;
    appearance: none;
}

.first_chart {
    margin-left: -85px;
}

.margin-b-40 {
    margin-bottom: 40px;
}

.on_time, .early, .ot, .late, .leave, .stt {
    text-align: center;
    color: #fff;
    line-height: 30px !important;
}

.on_time, .early, .ot, .late, .leave {
    width: 302px !important;
    height: 50px;
}

th.no-wap.on_time {
    background: #ad6cd6;
}

th.early {
    background: #ff3548;
}

th.ot {
    background: #4385f5;
}

th.late {
    background: #01c851;
}

th.leave {
    background: #ffbb34;
}

th.stt {
    background: #222d32;
}

@font-face {
    font-family: 'Roboto-Regular';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    src: url("../../font/roboto/Roboto-Regular.woff2") format("woff2"),
    url("../../font/roboto/Roboto-Regular.woff") format("woff");
}

.work_time {
    font-family: "Roboto-Regular", sans-serif;
}

.pd-r-0 {
    padding-right: 0 !important;
}

.statistic_year {
    width: 25% !important;
    white-space: nowrap;
    vertical-align: middle;
}

.statistic_week {
    background: #d2d6de;
}

.l-h-45 {
    line-height: 45px !important;
}

.on_time, .early, .ot, .late, .leave {
    width: 250px !important;
}

.navbar-inverse .navbar-nav > li {
    padding-top: 40px;
    font-family: "Roboto-Regular", sans-serif;
    font-size: 18px;
}

.navbar-inverse .navbar-nav > li:not(:first-child) {
    padding-left: 25px;
}

.navbar-inverse .navbar-nav > li > span.on_time_total {
    color: #ad6cd6;
}

.navbar-inverse .navbar-nav > li > span.early_total {
    color: #ff3548;
}

.navbar-inverse .navbar-nav > li > span.ot_total {
    color: #4385f5;
}

.navbar-inverse .navbar-nav > li > span.late_total {
    color: #01c851;
}

.navbar-inverse .navbar-nav > li > span.leave_total {
    color: #ffbb34;
}

.noHover {
    pointer-events: none;
}

.h-100 {
    height: 100px;
}

.calendar-year {
    height: 50px;
}

#option-calendar {
    background: #f4f4f4;
}

#option-calendar > select {
    height: 48px;
    border: 2px solid #f4f4f4
}

.explanation-note {
    width: 80%;
    margin: 0 auto;
}

.label-disable {
    background: grey;
}

.btn-table {
    margin: 0 15px 10px;
}

.datepicker-days .today {
    background: #5288ff;
    border-radius: 4px;
}

.datepicker-days .active {
    background: #ccc;
    border-radius: 4px;
}

#worktime-table .bg-type-0 {
    background: grey;
    color: white;
}

#worktime-table .bg-type-1 {
    background: #cbffca;
}

#worktime-table .bg-type-2 {
    background: #ffdb98;
}

#worktime-table .bg-type-3 {
    color: white;
    background: green;
}

.btn-export-over-time {
    margin: 20px;
}

.table-over-time {
    margin: 20px;
}

.btnDateOffDelete {
    color: red;
}

.users-list > li img {
    width: 80px;
    height: 80px;
    margin: auto;
}

.margin-t-15{
    margin-top: 15px;
}

:root{
	--primary: #6b59d3;
	--secondary: #bfc0c0;
	--white: #fff;
	--text-clr: #5b6475;
	--header-clr: #25273d;
	--next-btn-hover: #8577d2;
	--back-btn-hover: #8b8c8c;
}

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	list-style: none;
	outline: none;
	font-family: 'Open Sans', sans-serif;
}

.container{
	width: 750px;
	max-width: 100%;
	background: var(--white);
	margin: 10px auto 0;
	padding: 10px;
	border-radius: 5px;
}

.container .header{
	margin-bottom: 35px;
	display: flex;
	justify-content: center;
}

.container .header ul{
	display: flex;
}

.container .header ul li{
	margin-right: 50px;
	position: relative;
}

.container .header ul li:last-child{
	margin-right: 0;
}

.container .header ul li:before{
	content: "";
	position: absolute;
	top: 45%;
	transform: translateY(-50%);
	left: 95px;
	width: 110%;
	height: 3px;
	background: var(--secondary);
	
}

.container .header ul li:last-child:before{
	display: none;
}

.container .header ul li p{
	width: 35px;
	height: 35px;
	background: var(--secondary);
	color: var(--white);
	text-align: center;
	line-height: 40px;
	border-radius: 10%;
}

.container .header ul li.active:before{
	background: var(--primary);
}

.container .header ul li.active p{
	background: var(--primary);
}

.container .form_wrap{
	margin-bottom: 35px;
}

.container .form_wrap p{
	color: var(--header-clr);
	text-align: center;
    font-weight: 700;
	padding: 20px;
}

.container .form_wrap .input_wrap{
	width: 600px;
	max-width: 100%;
	margin: 0 auto 20px;
}

.container .form_wrap .input_wrap:last-child{
	margin-bottom: 0;
}

.container .form_wrap .input_wrap .input{
	border: 2px solid var(--secondary);
	border-radius: 3px;
	padding: 10px;
	display: block;
	width: 100%;	
	font-size: 16px;
	transition: 0.5s ease;
}

.container .form_wrap .input_wrap .input:focus{
	border-color: var(--primary);
}

.container .btns_wrap{
	width: 730px;
	max-width: 100%;
	/* margin: 0 auto; */
}

.container .btns_wrap .common_btns{
	display: flex;
	justify-content: space-between;
}

.container .btns_wrap .common_btns.form_1_btns{
	justify-content: flex-end;
    width: 730px;
}

.container .btns_wrap .common_btns button{
	border: 0;
	padding: 12px 15px;
	background: var(--primary);
	color: var(--white);
	width: 100px;
    height: 40px;
	justify-content: center;
	display: flex;
	align-items: center;
	font-size: 16px;
	border-radius: 3px;
	transition: 0.5s ease;
	cursor: pointer;
}

.container .btns_wrap .common_btns button.btn_save{
    width: 125px;
    font-size: 14px;
    margin-left: 350px;
}

.container .btns_wrap .common_btns button.btn_back{
	background: var(--secondary);
}

.container .btns_wrap .common_btns button.btn_next .icon{
	display: flex;
	margin-left: 10px;
}

.container .btns_wrap .common_btns button.btn_back .icon{
	display: flex;
	margin-right: 10px;
}

.container .btns_wrap .common_btns button.btn_next:hover,
.container .btns_wrap .common_btns button.btn_done:hover{
	background: var(--next-btn-hover);
}

.container .btns_wrap .common_btns button.btn_back:hover{
	background: var(--back-btn-hover);
}

.modal_wrapper{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	visibility: hidden;
}

.modal_wrapper .shadow{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.8);
	opacity: 0;
	transition: 0.2s ease;
}

.modal_wrapper .success_wrap{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-800px);
	background: var(--white);
	padding: 50px;
	display: flex;
	align-items: center;
	border-radius: 5px;
	transition: 0.5s ease;
}

.modal_wrapper .success_wrap .modal_icon{
	margin-right: 20px;
	width: 50px;
	height: 50px;
	background: var(--primary);
	color: var(--white);
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 32px;
	font-weight: 700;
}

.modal_wrapper.active{
	visibility: visible;
}

.modal_wrapper.active .shadow{
	opacity: 1;
}

.modal_wrapper.active .success_wrap{
	transform: translate(-50%,-50%);
}
.form_container{
    padding-bottom: 30px;
}
.form_wrap{
    box-shadow: 2px 2px 10px #888888;
}
.header p{
	margin: 0 60px 10px;
}
.add_answer input{
	display: inline-block;
}
.answer{
	width: 80%;
	margin-left: 20px;
}

input[disabled] :after {
    background-color: red;
}

textarea {
    resize: vertical;
}

.label-answer {
    height: 15px;
    margin-left: 10px;
    font-weight: 10 !important;
}

.inner {
    max-height: 350px;
}

.d-flex {
    display: flex;
    justify-content: left;
    align-items: center
}
.w-60 {
    width: 60%;
}

.h-80 {
    height: 80%;
    max-height: 350px ;
}
.padding-10-5{
    padding: 10px 5px
}
.correct-answer-quiz {
    background-color: #E6F4EA;
    border-radius: 4px;
}
.wrong-answer-quiz {
    background-color: #FCE8E6;
    border-radius: 4px;
}